BizKitHub
DocsAPI ReferencePost Tags/bff/post-tag/sync
postPost TagsAdmin BFF

/bff/post-tag/sync

Sets post tags according to the provided array. Removes all previous tags and adds only those in the array. All IDs must be valid and belong to the same organisation as the post.

Post TagspostBffPost-tagSync

Parameters

JSON body

Request body

application/json
postIdstringRequired

Post external ID

tagIdsnumber[]Required

Array of tag IDs to be assigned to the post. All previous associations will be removed and replaced with this list. Empty array removes all tags from the post.

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/post-tag/sync

post
curl -X POST "https://api.bizkithub.com/bff/post-tag/sync" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "postId": "example_postId",
  "tagIds": [
    0
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key